version = $*[0]
raise "need version" if !version
File.open("version.rb","w"){|f| f.puts 'Version = %p' % version }

`rm -r ../site/iogii-#{version}` if Dir["../site/iogii-#{version}"]

`cd ../site; mkdir iogii-#{version}; cp -r ../src iogii-#{version}/src; tar -czf iogii-#{version}.tgz iogii-#{version}; rm -r iogii-#{version}`

`ruby web/mk1file.rb > ../site/iogii-#{version} && chmod +x ../site/iogii-#{version}`
raise "problem with mk1file" if `echo 1 2+ | ../site/iogii-#{version}` != "3"

File.open("version.rb","w"){|f| f.puts 'Version = "%s+ (unstable)"' % version }

puts 'release checklist'
puts '-----------------'
puts 'update downloads page'
puts 'ruby web/generate_site.rb'
puts 'run fuzz test'
puts 'test io'
puts 'test warning'
puts 'test error'
puts 'test pp/type'
puts 'view quickref/site'
puts 'ruby web/upload.rb'